[Numpy-discussion] [matplotlib-devel] Matplotlib and latest numpy

Robert Kern robert.kern@gmail....
Fri Jul 18 18:44:21 CDT 2008


On Fri, Jul 18, 2008 at 18:40, Gael Varoquaux
<gael.varoquaux@normalesup.org> wrote:
> On Sat, Jul 19, 2008 at 01:25:51AM +0200, Gael Varoquaux wrote:
>> Am I wrong, or does matploib not build with current numpy svn?
>
> OK, Fernando told me that matplotlib builds fine with latest numpy on his
> box so Ienquired a bit more. The problem is that the build of matplotlib
> tries to include a header file that is generated automatically during the
> build of numpy (__multiarray_api.h). If you install numpy using "python
> setup.py install", this header file is inlcuded in the install. However I
> used "python setupegg.py develop" to install numpy. As a result the
> header file does not get put in the include directory. I guess this is
> thus a bug in the setupegg.py of numpy, but my knowledge of setuptools is
> way to low to be able to fix that.

It's not a setuptools issue at all. "build_ext --inplace" just doesn't
install header files.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
 -- Umberto Eco


More information about the Numpy-discussion mailing list